Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.util
Class ObjectQueue

    java.lang.Object
      com.dbxml.util.ObjectQueue

All Implemented Interfaces:
  java.io.Serializable

public final class ObjectQueue
extends java.lang.Object
implements java.io.Serializable

ObjectQueue is a simple linked list implemention that can be used for FIFO queuing. The benefit of ObjectQueue over Sun's Queue implementation is that it is not an extension of ArrayList and doesn't suffer from ArrayList's resizing performance limitations.

See Also:
  Serialized Form

Constructor Summary
`ObjectQueue()`

Method Summary
`void` | `add(java.lang.Object value)`
`void` | `clear()`
`boolean` | `isEmpty()`
`java.lang.Object` | `peek()`
`java.lang.Object` | `remove()`
`int` | `size()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectQueue

    public ObjectQueue()

Method Detail

### add

    public void add(java.lang.Object value)

### remove

    public java.lang.Object remove()

### isEmpty

    public boolean isEmpty()

### size

    public int size()

### peek

    public java.lang.Object peek()

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group